kubuntu-restricted-extras

Bug #78568 reported by Jonathan Anderson on 2007-01-09
10
Affects Status Importance Assigned to Milestone
kubuntu-meta (Ubuntu)
Wishlist
Unassigned
Gutsy
Wishlist
Unassigned
ubuntu-restricted-extras (Ubuntu)
Undecided
Unassigned
Gutsy
Undecided
Unassigned

Bug Description

Binary package hint: kubuntu-desktop

Now that there's a ubuntu-restricted-extras package (great idea, by the way), can we create a similar kubuntu-restricted-extras that depends on libxine-extracodecs, libarts-mpeglib, etc?

Changed in kubuntu-meta:
importance: Undecided → Wishlist
Richard Johnson (nixternal) wrote :

I am not to sure how well this will be perceived, but it is worth confirming and wishlisting. Thanks for the report.

Changed in kubuntu-meta:
status: Unconfirmed → Confirmed
Luka Renko (lure) wrote :

I think this is great idea and we should do it. Now that we have universe/multiverse by default, I see no good reason not to do it. It is just meta package and users has to opt-in (like they have if they install those packages manually).

Luka Renko (lure) wrote :

This is what ubuntu-restricted-extras depends on:
  Depends: gstreamer0.10-plugins-ugly
  Depends: gstreamer0.10-plugins-ugly-multiverse
  Depends: msttcorefonts
  Depends: flashplugin-nonfree
  Depends: sun-java6-plugin

sounds sane to me. what's the list of things that should go in it?

I think it's a good idea. kubuntu-restricted-extras should at least depends on :

libxine1-plugins
flashplugin-nonfree
sun-java6-plugin

Richard Johnson (nixternal) wrote :

well everyone knows my restricted stance :) Anyways, I think soon the Sun Java6 stuff won't have to be restricted, I hope.

There are a few others that could be added to the restricted as well though, make it the one stop shop for making their system behave like Windows I guess. ewww, don't like it, but end users do.

Uploaded to ubuntu, sitting in the NEW queue.

package mirrored at http://revu.tauware.de/details.py?upid=5482

Changed in kubuntu-meta:
status: Confirmed → Fix Committed
assignee: nobody → hobbsee

now part of ubuntu-release-extras, and a whole lot of bugs fixed there too. yay!

Changed in kubuntu-meta:
status: Fix Committed → Fix Released
usr (usrlp) wrote :

I think that kubuntu-restricted-extras should install unace-nonfree too, to open *.ace files.

I propose too to add p7zip or p7zip-full in *buntu-desktop, to open *.7z and other compression formats by default with file-roller or ark.

usr (usrlp) wrote :

kubuntu-restricted-extras does not install libk3b2-mp3 either. In my opinion, kubuntu-restricted-extras should do it.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/ubuntu-restricted-extras

It certainly does install libk3b2-mp3 in gutsy. Are you using the
feisty version? Recommends get installed by default in gutsy for
metapackages.

sarah@LongPointyStick:~$ apt-cache show kubuntu-restricted-extras | grep
libk3b2
Recommends: flashplugin-nonfree, sun-java6-plugin, libxine1-ffmpeg,
libdvdread3, libk3b2-mp3, liblame0, unrar, libtunepimp5-mp3

As for the rest, i'll have a look at it later :)

Hobbsee
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHAvWO7/o1b30rzoURAriVAKDI7oESkPT9L4UXwqDGmvSPQH+oVACgiH2T
T7GxSlq1bPmd7HyMZvWsaSI=
=OYGM
-----END PGP SIGNATURE-----

Juan Carlos I (juancarlos1) wrote :

yeah, kubuntu-restricted-extras should install libk3b2-mp3, as this is a must-have for almost every k3b user

closed against ubuntu-restricted-extras, Fix released.

Changed in ubuntu-restricted-extras:
status: New → Invalid

Fix released, bug not valid against this package.

Changed in ubuntu-restricted-extras:
status: New → Invalid

latter part, although it should be a different bug, is not fixed yet. I will get to this.

Changed in ubuntu-restricted-extras:
assignee: nobody → hobbsee
status: Invalid → Confirmed

I'm not going to add the .7z and .ace file support - these don't seem to be very popular file types in the linux world, and *ubuntu-restricted-extras is supposed to be a group of the most useful addons, not every single addon in multiverse.

Changed in ubuntu-restricted-extras:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers